I have an original iPhone which has only been unlocked once - i think it was updated to 1.2 through pwnage on my mac and its been on that since then. However I want to update it to at least 3.0, would I have to update it with a custom .ispw to 2.0 first or can i just make a custom 3.0/3.1 .ispw and run through pwnage with that? Thankyou for any help, much appreciated.